*! Programs that puts shares and averages of var1 and components (var2, 3...) by g-percentile in a matrix
cap program drop gperc
	program gperc
		version 12.1 
		syntax varlist [if] [in] [fw aw pw iw], [matname(name)] 

		quietly { 
			marksample touse 
			markout `touse', strok 
			count if `touse' 
			if r(N) == 0 error 2000 
		
			tokenize `varlist'
            local first `1'
            macro shift
            local rest `*'
			local nbcompo : list sizeof local(rest)

			if "`weight'"!="" {
			local wgt "[`weight'`exp']"
			}
			else local wgt ""

			tempvar rank 
			cumul `first' `wgt' if `touse', gen(`rank')
			tempvar gperc 
			gen `gperc'=0
			replace `gperc'= trunc(100*`rank') if `rank'<0.99
			replace `gperc'= min(trunc(1000*`rank'),999)/10 if `rank'>=0.99 & `rank'<0.999
			replace `gperc'= min(trunc(10000*`rank'),9999)/100 if `rank'>=0.999 & `rank'<0.9999
			replace `gperc'= min(trunc(100000*`rank'),99999)/1000 if `rank'>=0.9999

			tab `gperc'
			local I = r(r)
			levelsof `gperc', local(levels)
			mat input perc = (`levels' 101)

			su `first' `wgt' if `touse'
				local total = r(sum)

			replace `rank'=`rank'*100	
			if "`matname'" == "" local matname "gperc" 
			matrix `matname' = J(`I', 5+`nbcompo', 0)
				forval i = 1/`I' {
					local gperc_clan =  round(perc[1,`i'], .001)
					mat `matname'[`i',1] = `gperc_clan'
					su `first' `wgt' if `rank'>=perc[1,`i'] & `rank'<perc[1,`i'+1] & `touse', meanonly
						if "`weight'"!="" local nb:	 display %12.0f `r(sum_w)'	
						if "`weight'"=="" local nb:  display %12.0f `r(N)'
						local thres: display %12.0f `r(min)'
						local sh:    display %9.6f `r(sum)'/`total'
						local avg:   display %12.2f `r(mean)'	
						mat `matname'[`i',2]= `nb'
						mat `matname'[`i',3]= `thres'
						mat `matname'[`i',4]= `sh'
						mat `matname'[`i',5]= `avg'	
							
					local j = 6
					foreach c in `rest' {
						su `c' `wgt' if `rank'>=perc[1,`i'] & `rank'<perc[1,`i'+1] & `touse', meanonly
						local avg`c': display %12.2f `r(mean)'
						mat `matname'[`i',`j']= `avg`c''
						local j=`j'+1
					}	
				}
			matrix colnames `matname' = gperc nb thres sh avg `rest'
			* matrix rownames `matname' = `levels' 
		}
	end


	
	 