
	global prog   "\\tsd-evs\p25\data\durable\CLEAN\prog"
	global source "\\tsd-evs\p25\data\durable\source_data\no"
	global data   "\\tsd-evs\p25\data\durable\CLEAN\data"
    global temp   "\\tsd-evs\p25\data\no-backup"
	
    cap log close
    log using $prog\amount_discCLEAN.log, replace
*************************************************************************
* Average amount hidden by Norwegian disclosers (% of wealth) by wealth group, with S.E. *
*************************************************************************

	use $data\big06hhold.dta, clear
	cap drop rank_scand
	qui cumul mwealth, gen (rank_scand)

	cap drop group
	qui gen group = "P0-90"
	qui replace group = "P90-95"		if rank_scand >= .9  	& rank_scand < .95
	qui replace group = "P95-99"		if rank_scand >= .95  	& rank_scand < .99
	qui replace group = "P99-99.5"		if rank_scand >= .99  	& rank_scand < .995
	qui replace group = "P99.5-99.9"	if rank_scand >= .995 	& rank_scand < .999
	qui replace group = "P99.9-P99.95"	if rank_scand >= .999 	& rank_scand < .9995
	qui replace group = "P99.95-P99.99"	if rank_scand >= .99950	& rank_scand < .99990
	qui replace group = "P99.99-P100"	if rank_scand >= .99990

	cap drop bin
	qui egen bin = group(group), label
		
	keep if vd_evader == 1 
	drop if vd_case_dropped == 1
	gen frac_hidden = disclosed_wealth07C / mwealth
	su frac_hidden, det
	replace frac_hidden = 100 * frac_hidden
	replace frac_hidden = 100 if frac_hidden > 100
	
	drop if  frac_hidden < 0 
	
	reg frac_hidden ibn.bin, nocons robust 
	outreg2 using $data\Amounts.xls, excel dec(2) replace noaster label ctitle("Fraction of wealth hidden")
	margins bin, pwcompare(group)

	log close
	clear
