*! Import and append country g-perc files
* NB: no data for Sweden post 2007 because of abolition of wealth tax

local listofvars "year ctry weight ptile_w wealth_inf wealth_sup mwealth income tax fx"

* Exchange rates
	cap mkdir $root/WorkScandinavia/temp
	wbopendata, indicator(PA.NUS.FCRF) country(NOR;DNK;SWE) clear long // Year-average, market
	rename pa_nus_fcrf fx
	rename countrycode ctry
	saveold $root/WorkScandinavia/temp/exchange_rates.dta, replace

*Norway
	foreach yr in  01 02 03 04 05 06 07 08 09 10 11 12 13 {
		local year = 20`yr'
		use "$root/WorkNorway/SmallFiles/small`yr'hhold.dta", clear
		replace ptile_w = 1000 * ptile_w
		gen ctry = "NOR"
		rename thwealth wealth_inf
		gen wealth_sup = wealth_inf[_n+1]
		merge m:1 year ctry using $root/WorkScandinavia/temp/exchange_rates.dta, keepusing(fx) keep(match master)
		rename i_inckg income
		rename tax_all tax
		keep `listofvars' 
		order `listofvars' 
		saveold "$root/WorkScandinavia/temp/appended`yr'.dta", replace
	}

*Sweden
	foreach yr in 99 00 01 02 03 04 05 06 07 {
		if `yr' < 50 local year =  20`yr'
		if `yr' >= 50 local year = 19`yr'
		import excel using "$root/WorkSweden/WealthDistribution/Output/gperc_mwealth_inc`yr'_hhold.xlsx", first clear
		gen ctry = "SWE"
		gen year = `year'
		replace gperc = round(gperc, .001)
		rename gperc ptile_w
		replace ptile_w = 1000 * ptile_w
		rename nb weight
		rename thres wealth_inf
		gen wealth_sup = wealth_inf[_n+1]
		merge m:1 year ctry using $root/WorkScandinavia/temp/exchange_rates.dta, keepusing(fx) keep(match master)		
		rename avg mwealth
		cap rename i_inckg income
		cap gen income = .
		cap rename tax_total tax
		cap gen tax = .
		keep  `listofvars'
		cap append using "$root/WorkScandinavia/temp/appended`yr'.dta"
		replace ptile_w = round(ptile_w)
		order `listofvars'
		saveold "$root/WorkScandinavia/temp/appended`yr'.dta", replace
	}

*Denmark
	 foreach yr in 99 00 01 02 03 04 05 06 07 08 09 10 11 12 {
			if `yr' < 50 local year =  20`yr'
			if `yr' >= 50 local year = 19`yr'
		import excel using "$root/WorkDenmark/WealthDistribution/GpercDST/taxrate/Households_allyears/taxrate_DKK`year'.xls", first clear
		gen ctry = "DNK"
		gen year = `year'
		replace gperc = round(1000 * gperc)
		rename gperc ptile_w
		rename nb weight
		rename thres wealth_inf
		gen wealth_sup = wealth_inf[_n+1]
		rename avg mwealth
		gen income = QSPLINDK + AKTIEINDK
		rename SKATTOT_NY  tax
		merge m:1 year ctry using $root/WorkScandinavia/temp/exchange_rates.dta, keepusing(fx) keep(match master) nogen		
		keep `listofvars'
		append using "$root/WorkScandinavia/temp/appended`yr'.dta"
		replace ptile_w = round(ptile_w)
		order `listofvars'
		saveold "$root/WorkScandinavia/temp/appended`yr'.dta", replace
	}

