*! Build tabulations of HSBC evaders by ctry x bin for imputations

* Merge raw HSBC files to wealth tresholds, convert to USD
	foreach country in NOR DNK SWE {
		use "$root/WorkScandinavia/temp/appended06.dta", clear
		keep if ctry == "`country'"
		saveold $root/WorkScandinavia/temp/tab_`country'_hsbc.dta, replace

	* Collapse to same format as HSBC tabs
		gen group = ptile_w
		foreach i of numlist 0/8 {
			local j = `i' + 1
			replace group = `i' * 10000 if ptile_w >= `i' * 10000 & ptile_w < `j' * 10000
		}		
		if "`country'" == "NOR" | "`country'" == "DNK" replace group = 99990 if ptile_w >= 99990
		if "`country'" == "SWE" 					   replace group = 99995 if ptile_w >= 99995
		egen bin = group(group)
		gen pop = 1
		collapse (first) ctry  fx (min) ptile_w = group wealth_inf (max) wealth_sup (mean) mwealth (sum) weight = pop [fw = weight], by(bin)
		if "`country'" == "NOR" | "`country'" == "DNK" replace wealth_sup = . if ptile_w == 99990
		if "`country'" == "SWE" 					   replace wealth_sup = . if ptile_w == 99995
		saveold $root/WorkScandinavia/temp/tab_`country'_hsbc.dta, replace
	
	* Merge with HSBC
		if "`country'" == "SWE" import excel using "$root/WorkSweden/HSBCSweden/hsbc_scb.xlsx", sh(ToStata) first clear
		if "`country'" == "NOR" import excel using "$root/WorkNorway/HSBCListNorway/hsbc_skatt.xlsx", sh(ToStata) first clear
		if "`country'" == "DNK" import excel using "$root/WorkDenmark/HSBC/hsbc_soren.xlsx", sh(ToStata) first clear
		if "`country'" == "NOR" { // use 2007 distribution for Scandinavia 
			drop nb_hsbc nb_hsbc_pos amt_hsbc
			rename nb_hsbc_07 		nb_hsbc
			rename nb_hsbc_pos_07 	nb_hsbc_pos
			rename amt_hsbc_07 		amt_hsbc
			rename se_amt_hsbc_07	se_amt_hsbc
		}
		gen ctry = "`country'"
		merge 1:1 ctry ptile_w using $root/WorkScandinavia/temp/tab_`country'_hsbc.dta, nogen
		drop bin
		sort ptile_w 
		foreach var of varlist wealth_inf mwealth wealth_sup  amt_hsbc se_amt_hsbc {
			replace `var' = `var' / fx
		}
		replace wealth_inf = amt_hsbc if wealth_sup == . & wealth_inf < amt_hsbc & nb_hsbc_pos == 1 & nb_hsbc == 1 
		order ptile_w wealth_inf wealth_sup nb_hsbc nb_hsbc_pos amt_hsbc se_amt_hsbc
		saveold $root/WorkScandinavia/temp/tab_`country'_hsbc.dta, replace

		}
